OpenNMS API 1.2.9

## org.opennms.netmgt.rrd
Class QueuingRrdStrategy.ZeroUpdateOperation

    java.lang.Object
      org.opennms.netmgt.rrd.QueuingRrdStrategy.Operation
          org.opennms.netmgt.rrd.QueuingRrdStrategy.UpdateOperation
              org.opennms.netmgt.rrd.QueuingRrdStrategy.ZeroUpdateOperation

Enclosing class:
  QueuingRrdStrategy

public class QueuingRrdStrategy.ZeroUpdateOperation
extends QueuingRrdStrategy.UpdateOperation

Represents an update whose value is 0. These operations can be merged together and take up less memory

Field Summary
`(package private) int` `count`
`(package private) long` `interval`
`(package private) long` `timeStamp`

Fields inherited from class org.opennms.netmgt.rrd.QueuingRrdStrategy.UpdateOperation
`data, fileName, significant, type`

Constructor Summary
`(package private)` `QueuingRrdStrategy.ZeroUpdateOperation(java.lang.String fileName, long intitialTimeStamp)`

Method Summary
`(package private) void` `addToPendingList(java.util.LinkedList pendingOperations)`
`int` `getCount()`
`long` `getFirstTimeStamp()`
`long` `getInterval()`
`long` `getLastTimeStamp()`
`void` `mergeUpdates(QueuingRrdStrategy.ZeroUpdateOperation op)`
`(package private) java.lang.Object` `process(java.lang.Object rrd)`
`void` `setCount(int newCount)`
`void` `setInterval(long newInterval)`

Methods inherited from class org.opennms.netmgt.rrd.QueuingRrdStrategy.UpdateOperation
`getData, getFileName, getType, isSignificant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timeStamp

    long timeStamp

### interval

    long interval

### count

    int count

Constructor Detail

### QueuingRrdStrategy.ZeroUpdateOperation

    QueuingRrdStrategy.ZeroUpdateOperation(java.lang.String fileName,
                                           long intitialTimeStamp)

Method Detail

### process

    java.lang.Object process(java.lang.Object rrd)
                       throws java.lang.Exception

  Overrides:
    `process` in class `QueuingRrdStrategy.UpdateOperation`
  Throws:
    `java.lang.Exception`

### getCount

    public int getCount()

  Overrides:
    `getCount` in class `QueuingRrdStrategy.Operation`

### setCount

    public void setCount(int newCount)

### getFirstTimeStamp

    public long getFirstTimeStamp()

### getLastTimeStamp

    public long getLastTimeStamp()

### getInterval

    public long getInterval()

### setInterval

    public void setInterval(long newInterval)

### mergeUpdates

    public void mergeUpdates(QueuingRrdStrategy.ZeroUpdateOperation op)
                      throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### addToPendingList

    void addToPendingList(java.util.LinkedList pendingOperations)

  Overrides:
    `addToPendingList` in class `QueuingRrdStrategy.Operation`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.